#pragma semicolon 1
 
#include <sourcemod>
#include <sdktools>

#define PLUGIN_VERSION "1.0.0"

new Handle:gCvarNoNades;

public Plugin:myinfo =
{
        name = "No Nades for DoDS",
        author = "Dog",
        description = "No nades for DoDS",
        version = PLUGIN_VERSION,
        url = "http://www.theville.org"
};

public OnPluginStart()
{
        CreateConVar("dod_nonades_version", PLUGIN_VERSION, " DoD No Nades Version", FCVAR_PLUGIN|FCVAR_SPONLY|FCVAR_REPLICATED|FCVAR_NOTIFY);
        gCvarNoNades = CreateConVar("dod_nonades", "1", " Enable/Disable Nades", FCVAR_PLUGIN);
        HookEvent("player_spawn", SpawnEvent);
}

public OnEventShutdown()
{
        UnhookEvent("player_spawn", SpawnEvent);
}

public SpawnEvent(Handle:event, const String:name[], bool:dontBroadcast)
{
        if (GetConVarBool(gCvarNoNades))
        {
                new client = GetClientOfUserId(GetEventInt(event, "userid"));
                CreateTimer(0.1, StripNades, client);
        }
}

public Action:StripNades(Handle:timer, any:client)
{      
        if (IsClientInGame(client) && !IsClientObserver(client))
        {
                // Strip the weapons at that slot
                new weaponslot;
                weaponslot = GetPlayerWeaponSlot(client, 3);
                if(weaponslot != -1)
                {
                        RemovePlayerItem(client, weaponslot);
                        RemoveEdict(weaponslot);
                }
        }
        return Plugin_Handled;
}
